Summary:	A Safe/Fast I/O Library
Name:		sfio
Version:	1999
Release:	%mkrel 10
License:	AT&T Labs
Group:		System/Libraries
URL:		http://www.research.att.com/sw/tools/sfio/
Source0:	sfio_1999.src.unix.tar.bz2
Source1:	sfio_1999.src.unix.README
Patch0:		sfio_1999.patch
Patch1:		sfio_1999.mdk.patch
Patch2:		sfio-1999-implicit.patch
Patch3:		sfio-1999-rettype.patch
Patch4:		sfio-1999-pic.patch
BuildRequires:	ed

%description
Sfio is a library for managing I/O streams. It provides functionality similar
to that of Stdio, the ANSI C Standard I/O library, but via a distinct interface
that is more powerful, robust and efficient.

%package	devel
Summary:	Libraries, includes and other files for Safe/Fast I/O Library
Group:		Development/C
Requires:	sfio = 1999

%description devel
This packages contains the libraries, include and other files for Safe/Fast I/O
Library.

%prep

%setup -q 
%patch1 -p0
%patch2 -p1 -b .implicit
%patch3 -p1 -b .rettype
%patch4 -p1 -b .pic
cp -p %{SOURCE1} .

%build
export PATH=$PATH:`pwd`/bin

mkdir -p src/lib/sfio/FEATURE
mkdir -p src/lib/sfio/Stdio_b/FEATURE
make "CCFLAGS=%{optflags} -I. -I.. -Wall" -C src/lib/sfio
make -C src/lib/sfio libsfio.so install SONAME="lib%{name}.so.%{version}" CCMODE="%{optflags} -Wall"
# Since we install the headers in /usr/include/sfio we need to fix some paths
bzcat %{PATCH0} | patch -p0

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_includedir}/sfio
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}

cp -a include/* %{buildroot}%{_includedir}/sfio
cp -a man/* %{buildroot}%{_mandir}

install lib/libsfio.so %{buildroot}%{_libdir}/libsfio.so.1999
install lib/*.a %{buildroot}%{_libdir}/
( cd %{buildroot}%{_libdir}/ ; ln -s libsfio.so.1999 libsfio.so )

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NOTICE/* *README 
%{_libdir}/libsfio.so.1999
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1999-10mdv2008.1
+ Revision: 127204
- kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1999-10mdv2007.1
+ Revision: 145392
- Import sfio

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1999-10mdv2007.1
- use the %%mrel macro
- bunzip patches

